import type { NobjcObject } from "objc-js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { _NSURL } from "../Foundation/NSURL.js";
import type { _NSWindow } from "../AppKit/NSWindow.js";
export declare class _SFCertificatePresentation extends _NSObject {
    static alloc(): _SFCertificatePresentation;
    static new(): _SFCertificatePresentation;
    init(): _SFCertificatePresentation;
    /** Initialize the certificate presentation with a certificate trust reference. */
    initWithTrust$(trust: Uint8Array): _SFCertificatePresentation;
    presentSheetInWindow$dismissHandler$(window: _NSWindow, dismissHandler: (() => void) | null): void;
    /** Dismisses the certificate sheet. */
    dismissSheet(): void;
    /**
     * A trust reference, previously created with SecTrustCreateWithCertificates (see <Security /SecTrust.h>).
     */
    trust(): NobjcObject;
    /**
     * Title string to be displayed. If no title is provided, a default title will be used.
     */
    title(): _NSString | null;
    setTitle$(value: _NSString | null): void;
    /**
     * Message string to be displayed. If no message is provided, a default message will be used.
     */
    message(): _NSString | null;
    setMessage$(value: _NSString | null): void;
    /** The URL that will be opened by clicking the "Learn More" button. */
    helpURL(): _NSURL | null;
    setHelpURL$(value: _NSURL | null): void;
}
